{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    utils.url = "github:gytis-ivaskevicius/flake-utils-plus";

    # neovim-overlay = {
    #   url = "github:nix-community/neovim-nightly-overlay";
    #   inputs.nixpkgs.follows = "nixpkgs";
    # };
  };

  outputs = inputs@{ self, nixpkgs, utils, ... }: utils.lib.systemFlake {
    inherit self inputs;

    channels.nixpkgs.input = nixpkgs;

    channels.nixpkgs.patches = [ ];

    hostDefaults = {
      modules = [
        utils.nixosModules.saneFlakeDefaults
        ({ ... }: { nix.extraOptions = "warn-dirty = false"; })
      ];
    };

    hosts = {
      petalius.modules = [ ./petalius.nix ];
      flammea.modules = [ ./flammea.nix ];
      decoysnail.modules = [ ./decoysnail.nix ];
    };

  };
}
